<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace App\RestApi\Visit\Controllers;


use App\Http\Controller;
use App\RestApi\Visit\Resources\VisitationReasonResource;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Schaffen\Core\Visitation\Managers\VisitationReasonManager;
use Schaffen\Core\Visitation\Repository\VisitationReasonRepository;

class VisitationReasonController extends Controller
{

    use Crudable;

    /**
     * ServiceOrderVisitationController constructor.
     * @param VisitationReasonManager $manager
     * @param VisitationReasonRepository $repository
     */
    public function __construct(
        VisitationReasonManager $manager,
        VisitationReasonRepository $repository
    )
    {
        $this->resource = VisitationReasonResource::class;
        $this->setup($manager, $repository);
    }

}
