<?php

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->group(function () {
    Route::get('sync', 'Synchronization\Controllers\SyncController@sync')->name('sync');
    Route::post('sync', 'Synchronization\Controllers\SyncController@uploadSync')->name('sync.post');
    Route::get('sync_route', 'Synchronization\Controllers\SyncChargeController@sync')->name('sync.route');
    Route::post('sync_route', 'Synchronization\Controllers\SyncChargeController@uploadSync')->name('sync.route.post');
    Route::apiResource('route', 'Synchronization\Controllers\RouteController');
});
include_once 'mobile/unauthenticated/api.php';


