<?php


namespace App\Mobile\Synchronization\Resources;


use Freelabois\LaravelQuickstart\Extendables\Resource;

class RouteResource extends Resource
{
    public function toArray($request)
    {
        $relationships = [];
        if($this->whenLoaded('clients', null, false)){
            $relationships['clients'] = SyncPersonResource::collection($this->clients);
        }
        if($this->whenLoaded('salesman', null, false)){
            $relationships['salesman'] = SyncPersonResource::collection($this->salesman);
        }
        return parent::toArray($request)+$relationships;
    }
}